

local Gamestate   = require "source.library.gamestate"
local Level       = require "source.system.Level"


local GameScene = {}

function GameScene:enter()
  self.level = Level:init()
end


function GameScene:update(dt)
  self.level:update(dt)
end


function GameScene:draw()
  self.level:draw()
end


function GameScene:keypressed(key)
  Level:keypressed(key)
  if key == "escape" then love.event.quit() end
  if key == "r" then Level:init() end
end

return GameScene

